      SUBROUTINE NTRANS (NT, WC, NDC)
      REAL NT(8), WC(2), NDC(2)
      REAL A, B, XVLEN, YVLEN, XWLEN, YWLEN
C
D     TYPE *, ' *** NTRANS ***'
D     TYPE *, '             GKS Window:', NT(1),NT(2),NT(3),NT(4)
D     TYPE *, '           GKS Viewport:', NT(5),NT(6),NT(7),NT(8)
D     TYPE *, '      World Coordinates:', WC(1), WC(2)
      XVLEN = NT(6) - NT(5)
      YVLEN = NT(8) - NT(7)
      XWLEN = NT(2) - NT(1)
      YWLEN = NT(4) - NT(3)
      A = XVLEN / XWLEN
      B = YVLEN / YWLEN
D     TYPE *, '           Coefficients:', A, B
C
      NDC(1) = NT(5) + A * (WC(1) - NT(1))
      NDC(2) = NT(7) + B * (WC(2) - NT(3))
D     TYPE *, ' Normalized Coordinates:', NDC(1), NDC(2)
      RETURN
      END
